<?php

/**
 * Albireo Kernel
 *
 * @copyright  Copyright (c) 2010 Albireo Solutions
 * @package    Kernel
 */

namespace GamesModule;

use Nette\ArrayList;
use Nette\Object;

/**
 * TODO: need to change db entity according to this object
 * also doesnt react on "system" setting
 *
 */
class GameManager extends Object {

    private $games;

    public function __construct() {
        $this->games = array();

        $app = new Game("Sudoku", "sudoku.swf");
        $app->setTitle("Sudoku");
        $app->setImage("sudoku.png");
        $app->setDescription("<p>Zahrajte si klasické Sudoku! Můžete si vybrat dvě obtížnosti: lehké (easy) a těžké (hard).</p>" .
                "<p><strong>Ovládání: </strong>Stiskněte políčko, které chcete vyplnit a vyberte správnou číslici. Stiskem rohu políčka si můžete dělat poznámky.</p>" .
                "<p><strong>Pravidla: </strong>Vyplňte každý řádek, sloupec a skupinu čísly od 1 do 9 tak, aby se neopakovaly.</p>");
        $this->games[$app->name] = $app;

        $app = new Game("Chess", "chess.swf");
        $app->setTitle("Šachy");
        $app->setImage("chess.jpg");
        $app->setDescription("<p>Šachy proti počítači, vhodné spíše pro začátečníky.</p>" .
                "<p><strong>Ovládání: </strong>Hru začněte stisknutím tlačítka Play (Hrát). Stisknutím vyberte figuru a dalším stisknutím, kam ji chcete přesunout. Případně můžete přesunovat figuru tažením.</p>" .
                "<p><strong>Pravidla: </strong>Hra se drží všech základních i pokročilých pravidel šachu (včetně braní mimochodem), neumožní Vám udělat nepovolený tah.</p>" .
                "<p><i>Načítání hry se dá většinou uspíšit: Stiskněte nápis 'Game loaded. Click here to start the game', pokud se objeví.</i><p>");

        $this->games[$app->name] = $app;

        $app = new Game("Solitaire", "solitaire.swf");
        $app->setTitle("Pasiáns");
        $app->setImage("solitaire.jpg");
        $app->setDescription("<p>Po načtení hry stiskněte Start playing ke spuštění hry. Po dohrání Try again ke znovuspuštění.</p>" .
                "<p><strong>Ovládání: </strong>Karty přesunujte tažením, obracejte stisknutím.</p>");

        $this->games[$app->name] = $app;
    }

    public function getGames() {
        return $this->games;
    }

    public function getGameByName($name) {
        return $this->games[$name];
    }

    private function buildGame($row) {
        $game = new Game($row["name"], $row["embed"]);
        $game->setId($row["id_game"]);
        $game->setImage($row["image"]);
        $game->setTitle($row["title"]);
        $game->setDescription($row["description"]);
        return $game;
    }

}