CREATE TABLE "news" (
    "id_story" Serial NOT NULL,
    "guid"  Varchar(300) NOT NULL,
    "title" text NOT NULL,
    "publisher" Varchar(255) NOT NULL,
    "link" text NOT NULL,
    "category" Varchar(255) NOT NULL,
    "pubdate" Timestamp NOT NULL,
    "picture" text,
    "content" text NOT NULL,
    "rating" Integer NOT NULL DEFAULT 1,
    "id_language" Integer NOT NULL
)
WITH (OIDS=FALSE)
;

ALTER TABLE "news" ADD CONSTRAINT "news_guid_unique" UNIQUE ("guid");
ALTER TABLE "news" ADD CONSTRAINT "news_url_pk" PRIMARY KEY ("id_story");

CREATE TABLE "saved_article"(
 "news_id_story" Integer NOT NULL,
 "user_id" Integer NOT NULL
)
WITH (OIDS=FALSE)
;

ALTER TABLE "saved_article" ADD CONSTRAINT "PK_saved_article" PRIMARY KEY ("user_id","news_id_story");
ALTER TABLE "saved_article" ADD CONSTRAINT "news story" FOREIGN KEY ("news_id_story") REFERENCES "news" ("id_story") ON DELETE CASCADE ON UPDATE CASCADE;
ALTER TABLE "saved_article" ADD CONSTRAINT "users news id" FOREIGN KEY ("user_id") REFERENCES "users" ("id") ON DELETE CASCADE ON UPDATE CASCADE;

-- Table languages

CREATE TABLE "languages" (
    "id_language" Serial NOT NULL,
    "language" Character varying(10) NOT NULL
)
WITH (OIDS=FALSE);

ALTER TABLE "languages" ADD CONSTRAINT "languages_language_unique" UNIQUE ("language");
ALTER TABLE "languages" ADD CONSTRAINT "languages_pk" PRIMARY KEY ("id_language");

ALTER TABLE "news" ADD CONSTRAINT "stories_languages" FOREIGN KEY ("id_language") REFERENCES "languages" ("id_language") ON DELETE CASCADE ON UPDATE CASCADE;
